极光推送没有兼容一加手机8.0系统,导致整个手机系统崩溃,不断闪


(chaychan) #1

极光推送没有兼容一加手机8.0系统,导致整个手机系统崩溃,不断闪,一开始以为是我的手机有问题,但是在云真机试了很多手机,一加的8.0收到推送后都会导致整个手机系统崩溃而不是程序崩溃。


#2

你所使用的极光 SDK 版本多少

1+3 手机只是可能出现不允许第三方推送服务集成,但这种崩溃不应该产生。
是否可以提供相关日志。


(chaychan) #3

compile ‘cn.jiguang.sdk:jpush:3.0.9’ // 此处以JPush 3.0.9 版本为例。
compile ‘cn.jiguang.sdk:jcore:1.1.7’ // 此处以JCore 1.1.7 版本为例。

日志的话没有记录,刚才整个手机都挂了,你可以做一个demo在云真机试试,一加8.0系统的


#4

我们这里没有8.0系统的 1+3 手机,可否连上 Androidstudio,取一下崩溃后的日志。传给我们看一下。


(Sgq) #5

楼主的问题解决了吗? 我的问题跟你一样 我是一加5 android 8.0 现在只要装上那个app 就直接报系统桌面停止运行。


(Sgq) #6

我是一加5 android 8.0 现在只要装上那个app 就直接报系统桌面停止运行。


#7

可否取一下 崩溃后完整的日志,传上来我们分析一下。


#9

根据日志分析:一加系统没做好处理,通知显示icon的时候,创建Bitmap遇到尺寸为0,直接崩溃了
阅读本文: https://blog.pusher.com/upgrade-app-android-oreo-avoid-factory-reset/

看看资源文件目录里是不是有个mipmap-anydpi-v26的目录?里面有icon的xml文件? 要么target SDK低于26或者不用这个icon,把这目录里面的icon的xml删掉


(Sgq) #10

问题已解决,感谢!!!


#11

请问你是通过删除 icon的xml 解决的,还是使得 target SDK低于26 解决的呢?


#12

1 个帖子被分离到了新主题:cordova 插件对 Android 8.0 的支持